require "spec_helper"

describe Slack::RPC::Response do

	before do
		stub_request(:get, "https://slack.com/api/api.test").to_return(:body => '{"foo": "bar"}', :status => 200, :headers => {"baz" => "qux"})
	end

	it "should have 'status' as integer" do
		client = Slack::RPC::Client.new()
		response = client.api.test()
		expect(response.status).to be_kind_of(Integer)
		expect(response.status).to eq(200)
	end

	it "should have 'headers' as Hash" do
		client = Slack::RPC::Client.new()
		response = client.api.test()
		expect(response.headers).to be_kind_of(Hash)
		expect(response.headers).to include("baz" => "qux")
	end

	it "should have 'body' as Hash" do
		client = Slack::RPC::Client.new()
		response = client.api.test()
		expect(response.body).to be_kind_of(Hash)
		expect(response.body).to include("foo" => "bar")
	end

end
